#
# spec file for package htop
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           htop
Version:        2.2.0
Release:        0
Summary:        An Interactive text-mode Process Viewer for Linux
License:        GPL-2.0-or-later
Group:          System/Monitoring
URL:            https://hisham.hm/htop
Source0:        https://hisham.hm/htop/releases/%{version}/%{name}-%{version}.tar.gz
Source1:        https://hisham.hm/htop/releases/%{version}/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
Patch0:         htop-desktop-file-fix-thoenig-01.patch
# PATCH-FIX-OPENSUSE htop-script-python3.patch
Patch1:         htop-script-python3.patch
BuildRequires:  ncurses-devel
BuildRequires:  python3-base
BuildRequires:  update-desktop-files
Requires(post): update-desktop-files
Requires(postun): update-desktop-files
Recommends:     lsof
Recommends:     strace

%description
htop is an interactive text-mode process viewer for Linux. It aims to
be a better 'top' and requires ncurses. It is tested with Linux 2.6,
but is also reported to work (and was originally developed) with the
2.4 series.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
  --enable-taskstats \
  --enable-unicode \
  --enable-linux-affinity \
  --enable-taskstats \
  --enable-cgroup
# forcefully exclude -L/usr/lib(64)/ncurses5 from being added on systems with
# version 6 of ncurses. probably a cleaner way to fix this.
%if 0%{?suse_version} < 1500
LIBS="-lncursesw -ltinfo -lm " make -e %{?_smp_mflags}
%else
make %{?_smp_mflags}
%endif

%install
%make_install
%suse_update_desktop_file -i %{name} System Monitor

%if 0%{?suse_version} < 1500
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
